import React from 'react';
import PropTypes from 'prop-types';
import { Label, Flex, FlexItem } from '@patternfly/react-core';
import { translate as __ } from 'foremanReact/common/I18n';
import InactiveText from '../../components/InactiveText';

const ContentViewVersionEnvironments = ({ environments }) => {
  if (environments.length === 0) {
    return (
      <InactiveText text={__('No environments')} />
    );
  }

  return environments.map(env => (
    <React.Fragment key={env.id}>
      <Flex style={{ margin: '4px 0' }} >
        <FlexItem>
          <Label color="purple" href={`/lifecycle_environments/${env.id}`}>{env.name}</Label>
        </FlexItem>
        <FlexItem>
          <InactiveText text={` ${env.publish_date} ago`} />
        </FlexItem>
      </Flex>
    </React.Fragment>));
};

ContentViewVersionEnvironments.propTypes = {
  environments: PropTypes.instanceOf(Array).isRequired,
};

export default ContentViewVersionEnvironments;
